<template>
  <div>
    <Head>
      <Title>
        TRANSTORMER 日本語-中国語翻訳者・学習者のための情報共有サイト
      </Title>
      <Meta property="og:url" content="https://transtormer.work" />
      <Meta property="og:type" content="website" />
      <Meta property="og:title" content="TRANSTORMER" />
      <Meta property="og:image" content="https://transtormer.work/logo.svg" />
      <Meta property="og:site_name" content="TRANSTORMER" />
      <Meta
        property="og:description"
        content="日本語-中国語翻訳者・学習者のための情報共有サイト"
      />
      <Meta name="twitter:card" content="Summary Card" />
      <Meta name="twitter:site" content="@IT54981981" />
    </Head>
    <Body>
      <HeaderNav />
      <main>
        <div id="transtorm-main">
          <slot />
        </div>
      </main>
      <FooterNav />
    </Body>
  </div>
</template>

<script setup>
import HeaderNav from "../components/Header/HeaderNav.vue";
import FooterNav from "../components/Footer/FooterNav.vue";
</script>

<style scoped lang="scss">
div#transtorm-main {
  margin-top: 1.5rem;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 1.5rem;
  padding-left: auto;
  padding-right: auto;
  @media screen and (max-width: 1023px) {
    width: 100%;
  }
  @media screen and (min-width: 1024px) {
    width: 85vw;
  }
}
</style>